#ifndef ProtoGenWrapper_SelectVehicleInformation_H
#define ProtoGenWrapper_SelectVehicleInformation_H

#include <string>

#include <Command.h>

namespace ProtoGenWrapper
{
	class SelectVehicleInformation : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SelectVehicleInformation(const std::string& vehicleName);
		SelectVehicleInformation(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		SelectVehicleInformation() = delete;

		bool GetValues(std::string& vehicleName);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_SelectVehicleInformation_H
